#!/usr/bin/python3

from lazart.lazart import *
import os 
import glob

# Init script
(order) = install_script()

# Create analysis
a = read_or_make(order, glob.glob("../src/*.c"), name="Firmware Updater", fault_model=FaultModel.TI, functions=["firmwareUpdater", "checkPageIntegrity", "triggerUpdate"], flags=AnalysisFlag.ICAnalysis, path="results-swift-ccpa", compiler_args="-Wall -I  -DUSE_ICA_ORACLE", countermeasures=[CMType.SwiftBR])

execute(a)

tests.ccpa_test(a)