#!/usr/bin/python3

from lazart.lazart import *
import glob

# Script init
(order) = install_script()

# Create analysis
a = read_or_make(order, glob.glob("../src/*.c"), name="getChallenge", fault_model=FaultModel.TI, functions=["getChallenge"], flags=AnalysisFlag.ICAnalysis, path="results-ti-ccpa", compiler_args="-DINLINE -DAUTH -DUSE_ICA_ORACLE -Wall -I ../../share")

execute(a)

tests.ccpa_test(a)