#!/usr/bin/python3

from lazart.lazart import *
import os 
import glob

# Script init
(order) = install_script()

# Create analysis
a = read_or_make(order, glob.glob("../src/*.c"), fault_model=FaultModel.TI, functions=["verifyPIN"], flags=AnalysisFlag.ICAnalysis, path="results-ti-td-ccpa", compiler_args="-DINLINE -DAUTH -DUSE_ICA_ORACLE", countermeasures=[CMType.TD])

execute(a)

tests.ccpa_test(a)
