#include "firmwareUpdater.h"
#include "lazart.h"

extern int g_countermeasure;

void initialize(void)
{
    g_countermeasure = 0;
}

int oracle() 
{
 // a trigger request occurred and either the received firmware was corrupted or loaded at a bad adddress
 return (triggered==1 && (iscorrupted==1 || loadAddress != LOAD_ADDRESS)) ;
}

int main()
{    
    initialize();    
    firmwareUpdater();
#ifdef LZ_ICA
#ifdef USE_ICA_ORACLE
    LAZART_ORACLE(g_countermeasure != 0 && oracle());
#else 
    LAZART_ORACLE(g_countermeasure != 0);
#endif
#else
    LAZART_ORACLE(oracle());
#endif 

    return 0;
}

