#!/usr/bin/python3

from lazart.lazart import *
from lazart.lazart import install_script
import os 
import glob

# Script init
(order) = install_script()

# Create analysis
a = read_or_make(order, glob.glob("../src/*.c"), name="GetChallenge - TD - CCPA", fault_model=FaultModel.TI, functions=["getChallenge"], flags=AnalysisFlag.ICAnalysis, path="results-ti-td-ccpa", compiler_args="-DINLINE -DAUTH -DUSE_ICA_ORACLE -I ../../share", countermeasures=[CMType.TD])

execute(a)

tests.ccpa_test(a)